package cn.axzo.workflow.common.enums;

import lombok.Getter;

@Getter
public enum AdminRoleType {
    ORGANIZATION_ADMIN("organizationAdmin", "单位超管"),
    ORG_WORKSPACE_ADMIN("organizationWorkspaceAdmin", "项目内单位负责人"),
    WORKSPACE_ADMIN("workspaceAdmin", "项目超管"),
    OTHER("other", "其他用户");

    private final String type;
    private final String desc;

    AdminRoleType(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
